Liblinphone: linphone::DigestAuthenticationPolicy Class Reference

Liblinphone 5.2.0

Public Member Functions | List of all members
linphone::DigestAuthenticationPolicy Class Reference

The LinphoneDigestAuthenticationPolicy holds parameters relative to digest authentication procedures. More...

`#include <digest_authentication_policy.hh>`

Inheritance diagram for linphone::DigestAuthenticationPolicy:

## Public Member Functions
LINPHONECXX_PUBLIC | DigestAuthenticationPolicy (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneDigestAuthenticationPolicy * | cPtr ()
LINPHONECXX_PUBLIC bool | getAllowMd5 () const
| Get whether MD5 hash algorithm is allowed.
LINPHONECXX_PUBLIC void | setAllowMd5 (bool value)
| Set whether MD5 hash algorithm is allowed.
LINPHONECXX_PUBLIC bool | getAllowNoQop () const
| Get whether digest authentication without 'qop=auth' mode is allowed.
LINPHONECXX_PUBLIC void | setAllowNoQop (bool value)
| Set whether digest authentication without 'qop=auth' mode is allowed.

## Detailed Description

The LinphoneDigestAuthenticationPolicy holds parameters relative to digest authentication procedures.

## Member Function Documentation

## ◆ getAllowMd5()

LINPHONECXX_PUBLIC bool linphone::DigestAuthenticationPolicy::getAllowMd5 | ( |  | ) | const

Get whether MD5 hash algorithm is allowed.

The default value is true, in order to maximize interoperability. MD5 is considered as a weak algorithm, some might want to disable it, in which case SHA-256 will be required to perform digest authentication.

Returns
  a boolean value

## ◆ getAllowNoQop()

LINPHONECXX_PUBLIC bool linphone::DigestAuthenticationPolicy::getAllowNoQop | ( |  | ) | const

Get whether digest authentication without 'qop=auth' mode is allowed.

The default value is true, in order to maximize interoperability. 'qop=auth' mode enforces security thanks to the use of a client nonce, which makes password brute forcing more difficult. When set to false, linphone will refuse to authenticate to servers that are not implementing the qop=auth mode.

Returns
  a boolean value

## ◆ setAllowMd5()

LINPHONECXX_PUBLIC void linphone::DigestAuthenticationPolicy::setAllowMd5 | ( | bool | value | ) |

Set whether MD5 hash algorithm is allowed.

The default value is true, in order to maximize interoperability. MD5 is considered as a weak algorithm, some might want to disable it, in which case SHA-256 will be required to perform digest authentication.

Parameters

  value | a boolean value.

## ◆ setAllowNoQop()

LINPHONECXX_PUBLIC void linphone::DigestAuthenticationPolicy::setAllowNoQop | ( | bool | value | ) |

Set whether digest authentication without 'qop=auth' mode is allowed.

The default value is true, in order to maximize interoperability. 'qop=auth' mode enforces security thanks to the use of a client nonce, which makes password brute forcing more difficult. When set to false, linphone will refuse to authenticate to servers that are not implementing the qop=auth mode.

Parameters

  value | a boolean value.

The documentation for this class was generated from the following file:

- digest_authentication_policy.hh